[**@rxap/forms v19.0.4**](../README.md)

***

[@rxap/forms](../globals.md) / FormSubmitFailedDirective

# Class: FormSubmitFailedDirective

Defined in: [packages/angular/forms/src/lib/directives/form-submit-failed.directive.ts:17](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/directives/form-submit-failed.directive.ts#L17)

## Implements

- `AfterViewInit`
- `OnDestroy`

## Constructors

### new FormSubmitFailedDirective()

> **new FormSubmitFailedDirective**(`formDirective`, `template`, `viewContainerRef`): [`FormSubmitFailedDirective`](FormSubmitFailedDirective.md)

Defined in: [packages/angular/forms/src/lib/directives/form-submit-failed.directive.ts:21](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/directives/form-submit-failed.directive.ts#L21)

#### Parameters

##### formDirective

[`FormDirective`](FormDirective.md)

##### template

`TemplateRef`\<\{ `$implicit`: `Error`; \}\>

##### viewContainerRef

`ViewContainerRef`

#### Returns

[`FormSubmitFailedDirective`](FormSubmitFailedDirective.md)

## Methods

### ngAfterViewInit()

> **ngAfterViewInit**(): `void`

Defined in: [packages/angular/forms/src/lib/directives/form-submit-failed.directive.ts:28](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/directives/form-submit-failed.directive.ts#L28)

A callback method that is invoked immediately after
Angular has completed initialization of a component's view.
It is invoked only once when the view is instantiated.

#### Returns

`void`

#### Implementation of

`AfterViewInit.ngAfterViewInit`

***

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/forms/src/lib/directives/form-submit-failed.directive.ts:39](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/directives/form-submit-failed.directive.ts#L39)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`
